Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.jsword.index
Enum IndexStatus

    java.lang.Object
      java.lang.Enum<IndexStatus>
          org.crosswire.jsword.index.IndexStatus

All Implemented Interfaces:
  Serializable, Comparable<IndexStatus>

    public enum IndexStatus

extends Enum<IndexStatus>

An Enumeration of the possible states of an index.

Author:
  Joe Walker, DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Enum Constant Summary
`CREATING` An index is currently being generated for this Book
`DONE` There is a complete and ready to use search index
`INVALID` An index is no longer valid and needs to be discarded.
`SCHEDULED` This Book has been scheduled for index creation
`UNDONE` There is no search index, and no plans to create one

Field Summary
`private String` | `name` The name of the IndexStatus

Method Summary
`static IndexStatus` | `fromString(String name)` Lookup method to convert from a String
`String` | `toString()`
`static IndexStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IndexStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DONE

    public static final IndexStatus DONE

  There is a complete and ready to use search index

### UNDONE

    public static final IndexStatus UNDONE

  There is no search index, and no plans to create one

### SCHEDULED

    public static final IndexStatus SCHEDULED

  This Book has been scheduled for index creation

### CREATING

    public static final IndexStatus CREATING

  An index is currently being generated for this Book

### INVALID

    public static final IndexStatus INVALID

  An index is no longer valid and needs to be discarded.

Field Detail

### name

    private String name

  The name of the IndexStatus

Method Detail

### values

    public static IndexStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IndexStatus c : IndexStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IndexStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromString

    public static IndexStatus fromString(String name)

  Lookup method to convert from a String

  Parameters:
    `name` -
  Returns:
    the matching index status

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<IndexStatus>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD